export const generateImports = ({ schemaName, apiDirectory, schemaImports, queryImports, }) => {
    const importTypes = schemaImports.join(',');
    let imports = [];
    if (queryImports.includes('query')) {
        imports = [...imports, 'skipToken', 'queryOptions'];
    }
    if (queryImports.includes('infiniteQuery')) {
        imports = [...imports, 'infiniteQueryOptions'];
    }
    const importString = [...new Set(imports)].join(',');
    return `
  import {
    ${importString}
  } from '@tanstack/react-query';
  
  import { api } from '${apiDirectory}';
  import {${importTypes}} from './${schemaName}'

  `;
};
//# sourceMappingURL=generateImports.js.map